# GCC_RegistryRetrieveEntryRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistryRetrieveEntryRequest:

List of all members.

## Public Member Functions

| GCC_RegistryRetrieveEntryRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_EntityID | m_entityID
GCC_RegistryKey | m_key

## Constructor & Destructor Documentation

GCC_RegistryRetrieveEntryRequest::GCC_RegistryRetrieveEntryRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistryRetrieveEntryRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistryRetrieveEntryRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistryRetrieveEntryRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistryRetrieveEntryRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistryRetrieveEntryRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistryRetrieveEntryRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_EntityID GCC_RegistryRetrieveEntryRequest::m_entityID

GCC_RegistryKey GCC_RegistryRetrieveEntryRequest::m_key

The documentation for this class was generated from the following file:

- gcc.h